List Vector Database Chunks
curl --request POST \
--url https://flow.seekr.com/v1/flow/vectordb/{database_id}/chunks \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"file_id": "<string>",
"chunk_ids": [
"<string>"
],
"metadata": {},
"limit": 20,
"offset": 0
}
'import requests
url = "https://flow.seekr.com/v1/flow/vectordb/{database_id}/chunks"
payload = {
"file_id": "<string>",
"chunk_ids": ["<string>"],
"metadata": {},
"limit": 20,
"offset": 0
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
file_id: '<string>',
chunk_ids: ['<string>'],
metadata: {},
limit: 20,
offset: 0
})
};
fetch('https://flow.seekr.com/v1/flow/vectordb/{database_id}/chunks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flow.seekr.com/v1/flow/vectordb/{database_id}/chunks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file_id' => '<string>',
'chunk_ids' => [
'<string>'
],
'metadata' => [
],
'limit' => 20,
'offset' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flow.seekr.com/v1/flow/vectordb/{database_id}/chunks"
payload := strings.NewReader("{\n \"file_id\": \"<string>\",\n \"chunk_ids\": [\n \"<string>\"\n ],\n \"metadata\": {},\n \"limit\": 20,\n \"offset\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flow.seekr.com/v1/flow/vectordb/{database_id}/chunks")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"file_id\": \"<string>\",\n \"chunk_ids\": [\n \"<string>\"\n ],\n \"metadata\": {},\n \"limit\": 20,\n \"offset\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flow.seekr.com/v1/flow/vectordb/{database_id}/chunks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"file_id\": \"<string>\",\n \"chunk_ids\": [\n \"<string>\"\n ],\n \"metadata\": {},\n \"limit\": 20,\n \"offset\": 0\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"chunk_id": "<string>",
"file_id": "<string>",
"text": "<string>",
"metadata": {},
"hierarchy": [
"<string>"
],
"locations": [
{
"line_number_start": 123,
"line_number_end": 123,
"char_start": 123,
"char_end": 123,
"hierarchy": [
"<string>"
],
"page_number": 123
}
]
}
],
"total": 123,
"limit": 123,
"offset": 123,
"object": "list"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List chunks
Search and list chunks in a vector database, with optional filtering by file, chunk IDs, or metadata fields. Results are paginated.
POST
/
v1
/
flow
/
vectordb
/
{database_id}
/
chunks
List Vector Database Chunks
curl --request POST \
--url https://flow.seekr.com/v1/flow/vectordb/{database_id}/chunks \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"file_id": "<string>",
"chunk_ids": [
"<string>"
],
"metadata": {},
"limit": 20,
"offset": 0
}
'import requests
url = "https://flow.seekr.com/v1/flow/vectordb/{database_id}/chunks"
payload = {
"file_id": "<string>",
"chunk_ids": ["<string>"],
"metadata": {},
"limit": 20,
"offset": 0
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
file_id: '<string>',
chunk_ids: ['<string>'],
metadata: {},
limit: 20,
offset: 0
})
};
fetch('https://flow.seekr.com/v1/flow/vectordb/{database_id}/chunks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flow.seekr.com/v1/flow/vectordb/{database_id}/chunks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file_id' => '<string>',
'chunk_ids' => [
'<string>'
],
'metadata' => [
],
'limit' => 20,
'offset' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flow.seekr.com/v1/flow/vectordb/{database_id}/chunks"
payload := strings.NewReader("{\n \"file_id\": \"<string>\",\n \"chunk_ids\": [\n \"<string>\"\n ],\n \"metadata\": {},\n \"limit\": 20,\n \"offset\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flow.seekr.com/v1/flow/vectordb/{database_id}/chunks")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"file_id\": \"<string>\",\n \"chunk_ids\": [\n \"<string>\"\n ],\n \"metadata\": {},\n \"limit\": 20,\n \"offset\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flow.seekr.com/v1/flow/vectordb/{database_id}/chunks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"file_id\": \"<string>\",\n \"chunk_ids\": [\n \"<string>\"\n ],\n \"metadata\": {},\n \"limit\": 20,\n \"offset\": 0\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"chunk_id": "<string>",
"file_id": "<string>",
"text": "<string>",
"metadata": {},
"hierarchy": [
"<string>"
],
"locations": [
{
"line_number_start": 123,
"line_number_end": 123,
"char_start": 123,
"char_end": 123,
"hierarchy": [
"<string>"
],
"page_number": 123
}
]
}
],
"total": 123,
"limit": 123,
"offset": 123,
"object": "list"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Return a paginated list of chunks from a vector database. Filter by
file_id, by specific chunk_ids, or by user-defined metadata fields. Metadata filters use the same operator syntax as file search filters ($in, $gt, $gte, $lt, $lte), and multiple filters are combined with AND. Each chunk in the response includes its text, metadata, heading hierarchy, and source locations.Authorizations
Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.
Path Parameters
Body
application/json
Request body for searching/listing chunks in a vector database.
Filter to chunks from a specific file
Chunk IDs to retrieve
Metadata key-value filters with optional operators ($gt, $gte, $lt, $lte, $in). Example: {"year": {"$gte": 2023}, "doc_type": "SOP"}
Max results to return
Required range:
1 <= x <= 100Pagination offset
Required range:
x >= 0Last modified on July 31, 2026
⌘I